# PSF-LoginServer - master - net.psforever.objects.avatar.Avatar
PSF - LoginServer - master - net.psforever.objects.avatar.Avatar
Keywords: PSF LoginServer master net.psforever.objects.avatar.Avatar

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
- Avatar
- Avatars
- BattleRank
- Certification
- CommandRank
- CorpseControl
- Cosmetic
- DeployableToolbox
- FirstTimeEvents
- Implant
- LoadoutManager
- PlayerControl
- SpecialCarry

c

net.psforever.objects.avatar

# Avatar 

###
Companion object Avatar

#### case class Avatar(id: Int, name: String, faction: types.PlanetSideEmpire.Value, sex: CharacterSex, head: Int, voice: types.CharacterVoice.Value, bep: Long = 0, cep: Long = 0, stamina: Int = 100, fatigued: Boolean = false, cosmetics: Option[Set[Cosmetic]] = None, certifications: Set[Certification] = Set(), loadouts: Seq[Option[Loadout]] = Seq.fill(15)(None), squadLoadouts: Seq[Option[SquadLoadout]] = Seq.fill(10)(None), implants: Seq[Option[Implant]] = Seq(None, None, None), locker: LockerContainer = Avatar.makeLocker(), deployables: DeployableToolbox = new DeployableToolbox(), lookingForSquad: Boolean = false, vehicle: Option[PlanetSideGUID] = None, firstTimeEvents: Set[String] = FirstTimeEvents.Maps ++ FirstTimeEvents.Monoliths ++ FirstTimeEvents.Standard.All ++ FirstTimeEvents.Cavern.All ++ FirstTimeEvents.TR.All ++ FirstTimeEvents.NC.All ++ FirstTimeEvents.VS.All ++ FirstTimeEvents.Generic, purchaseTimes: Map[String, LocalDateTime] = Map(), useTimes: Map[String, LocalDateTime] = Map()) extends Product with Serializable

Source
  Avatar.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Avatar
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Avatar(id: Int, name: String, faction: types.PlanetSideEmpire.Value, sex: CharacterSex, head: Int, voice: types.CharacterVoice.Value, bep: Long = 0, cep: Long = 0, stamina: Int = 100, fatigued: Boolean = false, cosmetics: Option[Set[Cosmetic]] = None, certifications: Set[Certification] = Set(), loadouts: Seq[Option[Loadout]] = Seq.fill(15)(None), squadLoadouts: Seq[Option[SquadLoadout]] = Seq.fill(10)(None), implants: Seq[Option[Implant]] = Seq(None, None, None), locker: LockerContainer = Avatar.makeLocker(), deployables: DeployableToolbox = new DeployableToolbox(), lookingForSquad: Boolean = false, vehicle: Option[PlanetSideGUID] = None, firstTimeEvents: Set[String] = FirstTimeEvents.Maps ++ FirstTimeEvents.Monoliths ++ FirstTimeEvents.Standard.All ++ FirstTimeEvents.Cavern.All ++ FirstTimeEvents.TR.All ++ FirstTimeEvents.NC.All ++ FirstTimeEvents.VS.All ++ FirstTimeEvents.Generic, purchaseTimes: Map[String, LocalDateTime] = Map(), useTimes: Map[String, LocalDateTime] = Map())

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val bep: Long
6.  val br: BattleRank
7.  def canEqual(other: Any): Boolean
   Definition Classes
     Avatar → Equals
8.  val cep: Long
9.  val certifications: Set[Certification]
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  val cosmetics: Option[Set[Cosmetic]]
12.  val cr: CommandRank
13.  val definition: AvatarDefinition
14.  val deployables: DeployableToolbox
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(other: Any): Boolean
    Definition Classes
      Avatar → Equals → AnyRef → Any
17.  val faction: types.PlanetSideEmpire.Value
18.  val fatigued: Boolean
19.  def fifthSlot(): EquipmentSlot
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  val firstTimeEvents: Set[String]
22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hackingSkillLevel(): Int

    Returns numerical value from 0-3 that is the hacking skill level representation in packets

24.  val head: Int
25.  val id: Int
26.  val implants: Seq[Option[Implant]]
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  val loadouts: Seq[Option[Loadout]]
29.  val locker: LockerContainer
30.  val lookingForSquad: Boolean
31.  val maxStamina: Int

    The maximum stamina amount

32.  val name: String
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  def productElementNames: Iterator[String]
    Definition Classes
      Product
37.  def purchaseCooldown(definition: BasicDefinition): Option[Duration]

    Returns the remaining purchase cooldown or None if an object is not on cooldown

38.  val purchaseTimes: Map[String, LocalDateTime]
39.  val sex: CharacterSex
40.  val squadLoadouts: Seq[Option[SquadLoadout]]
41.  val stamina: Int
42.  def staminaFull: Boolean

    Return true if the stamina is at the maximum amount

43.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
44.  def useCooldown(definition: BasicDefinition): Option[Duration]

    Returns the remaining use cooldown or None if an object is not on cooldown

45.  val useTimes: Map[String, LocalDateTime]
46.  var vehicle: Option[PlanetSideGUID]
47.  val voice: types.CharacterVoice.Value
48.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
49.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
50.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped